/*!
    *
    * Wijmo Library 5.20242.30
    * https://developer.mescius.com/wijmo
    *
    * Copyright(c) MESCIUS inc. All rights reserved.
    *
    * Licensed under the End-User License Agreement For MESCIUS Wijmo Software.
    * us.sales@mescius.com
    * https://developer.mescius.com/wijmo/licensing
    *
    */
/**
 * {@module wijmo.vue2.barcode.common}
 * Contains Vue 2 and 3 components for the <b>wijmo.barcode.common</b> module.
 */
/**
 *
 */
export declare var ___keepComment: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Codabar} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Codabar} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeCodabar: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Ean8} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Ean8} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeEan8: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Ean13} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Ean13} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeEan13: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Code39} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Code39} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeCode39: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Code128} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Code128} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeCode128: any;
/**
 * Vue component for the {@link wijmo.barcode.common.Gs1_128} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.Gs1_128} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeGs1_128: any;
/**
 * Vue component for the {@link wijmo.barcode.common.UpcA} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.UpcA} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeUpcA: any;
/**
 * Vue component for the {@link wijmo.barcode.common.UpcE0} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.UpcE0} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeUpcE0: any;
/**
 * Vue component for the {@link wijmo.barcode.common.UpcE1} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.UpcE1} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeUpcE1: any;
/**
 * Vue component for the {@link wijmo.barcode.common.QrCode} control.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.barcode.common.QrCode} control it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjBarcodeQrCode: any;
export declare function registerBarcodeCommon(app: any): void;
